Bug 1021687 - Readme for demos/multiApp is missing detailed instructions for users
Readme for demos/multiApp is missing detailed instructions for users
Status: MODIFIED
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Examples (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Keith Babo
Matej Melko
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 15:36 EDT by Len DiMaggio
Modified: 2015-11-02 03:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The ReadMe file for demos/multiApp is missing detailed instructions on usage. As a result, users maybe unsure of how to use this demonstration code. To workaround this, please see the detailed instructions attached to this bug ticket.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Len DiMaggio 2013-10-21 15:36:07 EDT
Description of problem:

The full set of instructions for users should be:

mvn clean install

#from order-consumer/README.md
${AS}/bin/add-user.sh  -a -u guest -p guestp.1 -r ApplicationRealm -ro guest -s

cp order-consumer/src/test/resources/switchyard-quickstart-demo-multi-order-consumer-hornetq-jms.xml ${AS}/standalone/deployments

cp artifacts/target/OrderService.jar ${AS}/standalone/deployments

cp order-service/target/switchyard-quickstart-demo-multi-order-service.jar $AS/standalone/deployments

cp order-consumer/target/switchyard-quickstart-demo-multi-order-consumer.jar $AS/standalone/deployments

cp web/target/switchyard-quickstart-demo-multi-web.war $AS/standalone/deployments

Version-Release number of selected component (if applicable):
ER6

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Keith Babo 2013-10-24 07:02:12 EDT
This information is already in the README.md files for the individual projects in multiApp.
Comment 2 Douglas Palmer 2014-10-08 01:30:12 EDT
Out of Date.

Note You need to log in before you can comment on or make changes to this bug.